Bug 120022 - [ICONS]SVG Colibre icons broken in web browser
Summary: [ICONS]SVG Colibre icons broken in web browser
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2018-09-20 21:33 UTC by Olivier Hallot
Modified: 2018-10-08 14:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-09-20 21:33:37 UTC
The page https://help.libreoffice.org/6.2/en-US/text/schart/01/choose_chart_type.html?&DbPAR=CHART&System=UNIX

shows missing icon for Area. Icon is chart2/res/areas_52x60.svg

The SVG icon exist and is accessible, but it does not display. It seems the SVG code is broken. Other SVG icons (e.g. Pie) work OK. Browser used is Firefox and Chromium.
Comment 1 BogdanB 2018-09-21 13:36:27 UTC
The same problem on Chrome

Google Chrome is up to date
Version 69.0.3497.100 (Official Build) (64-bit)

<img src="6.2/media/icon-themes/chart2/res/areas_52x60.svg" alt="Icon" title="Icon" height="52px" width="60px" class="imageicon">
Comment 2 Heiko Tietze 2018-10-05 10:07:47 UTC
Andreas will fix it quickly I guess.
Comment 3 Commit Notification 2018-10-05 12:40:25 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9388d9b5d3bdbd649d164deb97cae756bb1d3de3

tdf#120022 SVG Colibre icon is broken in web browser

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.